package Scheduler;
require Exporter;
require DynaLoader;

@ISA = qw(Exporter DynaLoader);
bootstrap Scheduler;
var_Scheduler_init();
@EXPORT = qw( 
	     SCHED_OTHER
	     SCHED_FIFO
             SCHED_RR
);
1;
__END__

=head1 NAME

Scheduler - Perl interface to Linux's process scheduler

=head1 SYNOPSIS

	use Scheduler;

	my($algorhythm) = Scheduler::getScheduler($pid);

	my($errno) = Scheduler::setScheduler($pid,$algorhythm);

=head1 DESCRIPTION

This module depends on having sched.h.  If you don't have it, none of this will compile.  setScheduler requires root priviledges.

getScheduler returns the sceduling algorythm that $pid is scheduled with, or
-1 if the information is unavailable.

setScheduler returns 0 if successful, -1 if unsuccessful.

=head1 EXPORTED CONSTANTS

	SCHED_OTHER
	SCHED_FIFO
	SCHED_RR

=head1 AUTHOR

George Schlossnagle <george@lethargy.org>

=cut

