/* Set spread to a realtime priority
 * Jonathan Stanton <jonathan@cs.jhu.edu> 
 * May 9, 2000
 */

#include <sys/types.h>
#include <unistd.h>
#include <sched.h>
#include <errno.h>
#include <stdio.h>
#include <string.h>
static  int Pid;
int getScheduler(int Pid)
{
	int ret, stype;
	if (Pid == 0)
	{
		return -1;
	}
	stype = sched_getscheduler(Pid);
	return stype;
}

int setScheduler(int Pid, int SchedulePolicy)
{
	
	struct sched_param sp;
	int ret;
	sp.sched_priority = 1;
	if((ret = sched_setscheduler(Pid, SchedulePolicy, &sp)) < 0){
	fprintf(stderr,"Unable to modify schedule for PID %d\n", Pid);
	return -1;
	}
	return ret;
}

